#
# spec file for package yelp (Version 2.14.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gecko-sdk gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel htdig indent info info2html insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbeagle libbeagle-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgtkhtml libgtkhtml-devel libidl libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel mozilla-xulrunner ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python rcs readline recode resmgr rpm sed shared-mime-info startup-notification startup-notification-devel strace susehelp sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim wget xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           yelp
BuildRequires:  gcc-c++ gecko-sdk gnome-common gnome-doc-utils gnome-menus-devel gnutls-devel indent intltool libbeagle-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libgtkhtml-devel libwnck-devel libxslt-devel mDNSResponder-devel perl-XML-Parser startup-notification-devel susehelp update-desktop-files
Requires:       gnome-utils susehelp
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.14.0
Release:        20.6
Summary:        The GNOME 2.x Desktop Help Browser
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/yelp/2.12/%{name}-%{version}.tar.bz2
Source1:        help-title.png
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch1:         yelp-libxslt.patch
Patch2:         yelp-onlyshowin.patch
Patch4:         yelp-suse-20060319.patch
Patch5:         yelp-desktop.patch
Patch6:         yelp-2.13.5-use-susehelp.patch
Patch7:         yelp-beagle-signal-and-ref-fixes.patch
Patch8:         yelp-2.14.0-process-suse-manuals.patch
PreReq:         filesystem gconf2
Requires:       gnome-doc-utils
Requires:       libbeagle >= 0.2.0
%if %suse_version > 1000
Requires:       mozilla-xulrunner
%else
Requires:       mozilla
%endif
Provides:       suse_help_viewer

%description
"Yelp" is the help browser for the GNOME 2.x Desktop. It features man,
info, and docbook document sources.



%debug_package
%prep
%setup -n yelp-%{version} 
cp %{S:1} data/icons/
%if %suse_version < 920
%patch1 -p0
%endif
%patch2 -p1
%patch4 -p1
%patch5
%patch6 -p1
%patch7
%patch8 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --libexecdir=%{prefix}/%_lib/yelp \
    --localstatedir=/var/%_lib
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
export LD_LIBRARY=$RPM_BUILD_ROOT/opt/gnome/%_lib
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%suse_update_desktop_file -N "Yelp" -G "Help Browser" %name Documentation
%find_lang %{name}

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/yelp.schemas >/dev/null

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
#%dir %{prefix}/share/sgml
#%dir %{prefix}/share/sgml/docbook
#%{prefix}/share/sgml/docbook/yelp
%{prefix}/share/yelp
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/share/applications/yelp.desktop
%{sysconfdir}/gconf/schemas/yelp.schemas
%{prefix}/share/icons/hicolor/192x192/apps/yelp-icon-big.png

%changelog -n yelp
* Tue May 23 2006 - hpj@suse.de
- Updated patch to make it show more SuSE-specific manuals if
  present. Fixes Novell bug #173181.
* Thu May 11 2006 - hpj@suse.de
- Updated patch to address the specific case of help:// URIs with
  full path and a section. Also try to look for local DTDs before
  loading them from potential network URIs, which makes it a lot
  faster. Fixes Novell bug #161056.
* Wed Apr 19 2006 - hpj@suse.de
- Added a patch to pick up the SUSE manuals if present.
* Wed Apr 05 2006 - hpj@suse.de
- Updated patch to be better at finding HTML index files.
* Sun Mar 19 2006 - hpj@suse.de
- Updated patch to resolve even more cases of broken help URIs,
  missing DTDs and other external entities. Also fall back to
  English-language external entities (like pictures) if they can't
  be found in the preferred language, and create bookmarks with
  either '?' or '#' section demarcation correctly. Fixes at least
  Novell bugs #158769 and #155271.
* Sat Mar 18 2006 - hpj@suse.de
- Updated patch to be even more tolerant of broken help URIs.
  Fixes at least Novell bugs #157790, #157781 and $157775, probably
  others not files yet.
* Fri Mar 17 2006 - joeshaw@suse.de
- Add a patch which fixes some misuse of the libbeagle API.
  Fixes bnc #157801, sent upstream as bgo #334938.
* Mon Mar 13 2006 - jpr@suse.de
- Update to 2.14.0 which includes some of our upstreamed patches
- Changes
  * Sort search results to provide some sanity                 (Don Scorgie)
  * Fix space problem with manpage search on FreeBSD           (Don Scorgie)
  * If beagle daemon is not running fall back to basic search  (Joe Shaw)
  * Removed redundant search text entry                        (Joe Shaw)
  * Fix some memory leaks                                      (Brent Smith)
  * Re-applied a11y patch                                      (Brent Smith)
  * set MOZ_DISABLE_PANGO in environ to fix broken characters  (Brent Smith)
  * Escape characters when searching                           (Don Scorgie)
  * Fix resizing issues by focus print preview on html widget  (Don Scorgie)
  * Updated translations
* Fri Mar 10 2006 - dobey@suse.de
- Modify help-title.png to be narrower
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=156481
* Mon Mar 06 2006 - dobey@suse.de
- Update help-title.png to follow new color/branding
* Sat Mar 04 2006 - hpj@suse.de
- Fix yelp-suse patch to show fragments specified by ? at the end
  of URIs.
* Sat Mar 04 2006 - hpj@suse.de
- Fix yelp-suse patch to show help:// docs in languages other than
  C if present and desired.
* Fri Mar 03 2006 - hpj@suse.de
- Use susehelp to show GNOME docs instead of invoking yelp
  directly.
* Sat Feb 18 2006 - gekker@suse.de
- fixup .desktop file for ui team
* Fri Feb 17 2006 - joeshaw@suse.de
- Update SUSE yelp patch to disable search UI when Beagle is not
  available (as on SLES).
- Remove redundant search entry on table-of-contents and search
  results pages
* Thu Feb 16 2006 - joeshaw@suse.de
- Update package to 2.13.5 (fixes bnc 151224 and other 64-bit
  issues)
- Regenerate SUSE yelp patch against it.
  Upstream changelog:
  Changes in 2.13.5:
  * Reverted a11y patch due to issues finding registry      (Brent Smith)
  * 64-bit cleanups related to gsize                        (Robert Harris)
  * Small speedups in TOC processing                        (Brent Smith)
  * Fixed crash with malformed documents                    (Brent Smith)
  * Make relative paths work with second instance of yelp   (Brent Smith)
  * Remove references functions that no longer exist        (Brent Smith)
  * Updated translatations:
  ca      (Josep Puigdemont i Casamajó)
  da      (Lasse Bang Mikkelsen)
  el      (Kostas Papadimas)
  en_CA   (Adam Weinberger)
  es      (Francisco Javier F. Serrador)
  et      (Priit Laes)
  fi      (Ilkka Tuohela)
  gl      (Ignacio Casal Quinteiro)
  gu      (Ankit Patel)
  nb      (Kjartan Maraas)
  nl      (Tino Meinen)
  no      (Kjartan Maraas)
  sq      (Laurent Dhima)
  sr      (Slobodan D. Sredojevic)
  th      (Theppitak Karoonboonyanan)
  vi      (Clytie Siddall)
  zh_CN   (Funda Wang)
* Wed Feb 01 2006 - joeshaw@suse.de
- Update package to 2.13.4 (fixes bnc 146353)
- Regenerate SUSE yelp patch against it.
  Changes in 2.13.4:
  * Bury man and info under 'Command Line Help'             (Shaun
  McCance)
  * Workaround for a11y issues.  Should fix bug #157941     (Don Scorgie)
  * Added support for mapping severl man sections, #328172  (Brent Smith)
  * Fixed some memory leaks                                 (Don Scorgie)
  * More robust handling for basic search, #328464          (Don Scorgie)
  * Fixed in TOC handling, #328953                          (Brent Smith)
  * Use the new document font setting by default            (Brent Smith)
  * Fixed some C99 initializations, #328261                 (Jens
  Granseuer)
  * Fixed a critical warning                                (Brent Smith)
  * Use a newer Beagle for Beagle search                    (Don Scorgie)
  * More robus GConf error handling, #327826                (Brent Smith)
  * Added GTK to the desktop file categories                (Brent Smith)
  * Fixed loading of non-compressed man and info            (Don Scorgie)
  * Fixed crashes on malformed info:dir files               (Don Scorgie)
  * Fixed compilation issues on Solaris                     (Glynn Foster)
  * Updated translations:
  bg      (Vladimir Petkov)
  ca      (Josep Puigdemont i Casamajó)
  da      (Lasse Bang Mikkelsen)
  da      (Lasse Bang Mikkelsen)
  en_CA   (Adam Weinberger)
  es      (Francisco Javier F. Serrador)
  fi      (Ilkka Tuohela)
  gl      (Ignacio Casal Quinteiro)
  gu      (Ankit Patel)
  hu      (Gabor Kelemen)
  lt       Beru ­ka)
  nb      (Kjartan Maraas)
  nl      (Tino Meinen)
  no      (Kjartan Maraas)
  pt_BR   (Evandro Fernandes Giovanini)
  ru      (razi)
  th      (Theppitak Karoonboonyanan)
  vi      (Clytie Siddall)
  zh_CN   (Funda Wang)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 - joeshaw@suse.de
- Update package to 2.13.3; require libbeagle 0.2.0
* Fri Jan 13 2006 - joeshaw@suse.de
- Update yelp-suse.patch to fix opening of KDE docs from the
  table of contents.
* Tue Jan 10 2006 - joeshaw@suse.de
- Update yelp-suse.patch to fix a strict aliasing issue
* Tue Jan 10 2006 - joeshaw@suse.de
- Update to version 2.13.2
- Regenerate and rename yelp-updates.patch to yelp-suse.patch,
  since most of the code is suse-specific.
* Thu Dec 22 2005 - joeshaw@suse.de
- Update beagle patch, require libbeagle 0.1.4
* Thu Dec 01 2005 - gekker@suse.de
- Update to version 2.12.2
- Remove upstreamed patch
* Wed Nov 16 2005 - sbrabec@suse.cz
- Fixed mozilla/xulrunner dependencies.
* Thu Oct 20 2005 - clahey@suse.de
- New yelp-updates.patch.  Fixes some search bugs.
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Thu Oct 13 2005 - ro@suse.de
- build with xulrunner
* Thu Oct 06 2005 - gekker@suse.de
- Fixup .desktop file
* Wed Oct 05 2005 - clahey@suse.de
- Provide suse_help_viewer.
* Fri Sep 16 2005 - clahey@suse.de
- Made yelp actually find docbook files. (dumb typo.)
* Tue Sep 06 2005 - sbrabec@suse.cz
- Removed outdated ORBit work-around.
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Wed Aug 24 2005 - gekker@suse.de
- Update to version 2.11.92
- Rediff yelp-updates.patch so that it applies agains the new version
* Wed Aug 24 2005 - clahey@suse.de
- Updated yelp-updates.patch.  Makes search just show the top ten
  results.  Fixed bug where only one search is actually done.
* Tue Aug 23 2005 - clahey@suse.de
- Updated yelp-updates.patch.  Fixes print this document, search
  appearance, and help: parsing.
* Fri Aug 19 2005 - clahey@suse.de
- Updated yelp-updates.patch
* Fri Aug 19 2005 - ro@suse.de
- move code from previous change from post to install section
* Tue Aug 16 2005 - sbrabec@suse.cz
- Fixed requirement to not require symbols provided only by
  mozilla-nss and mozilla-nspr packages (#98002).
* Fri Jul 29 2005 - clahey@suse.de
- Updated yelp-updates.patch.
* Sat Jul 23 2005 - gekker@suse.de
- Update to version 2.11.1
- Remove upstreamed patch
* Tue Jul 19 2005 - jpr@suse.de
- Fix required beagle version
* Wed Jul 06 2005 - clahey@suse.de
- Updated to cvs head and added a bunch of code that isn't in cvs yet.
* Wed Jun 22 2005 - gekker@suse.de
- Update to version 2.10.0
- Fix warnings
* Wed Feb 16 2005 - ke@suse.de
- Must require gnome-doc-utils; [# 50808].
* Mon Feb 07 2005 - gekker@suse.de
- Update to version 2.9.3
* Mon Jan 24 2005 - clahey@suse.de
- Updated to version 2.9.2.
* Wed Oct 27 2004 - mmj@suse.de
- Correct locale rename
- Don't remove buildroot before install
* Tue Oct 26 2004 - mmj@suse.de
- Locale rename no to nb
* Wed Sep 08 2004 - clahey@suse.de
- Add OnlyShowIn=GNOME;.
* Wed Jun 09 2004 - clahey@suse.de
- Patch out libxslt 1.1.4 requirements.
* Mon May 10 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Tue Sep 09 2003 - hhetter@suse.de
- updated to 2.4.0 (translation release)
* Fri Aug 15 2003 - adrian@suse.de
- add Documentation Category
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 26 2003 - sbrabec@suse.cz
- Updated to version 2.2.3.
* Thu Jun 26 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Updated neededforbuild.
- Use %%find_lang.
* Tue Jun 17 2003 - ro@suse.de
- added directories to filelist
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 2.2.0 [GNOME 2.2.0]
* Thu Jan 16 2003 - sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Tue Nov 19 2002 - hhetter@suse.de
- updated to version 1.0.7
  * improved translation and updates
- removed wrapper script
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Wed Oct 23 2002 - hhetter@suse.de
- updated to stable version 1.0.6
- FHS fix
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Wed Aug 14 2002 - hhetter@suse.de
- updated to version 1.0.3
  * Fixed a bug that caused Yelp to segfault on
  startup if you used MANPATH instead of
  manpath
  * Stylesheet improvments
  * Updated translations (pt)
* Wed Aug 07 2002 - hhetter@suse.de
- updated to version 1.0.2
  * libexec movement
  * translation updates
* Mon Jul 29 2002 - hhetter@suse.de
- added wrapper for yelp to ensure scrollkeeper updates
* Wed Jun 19 2002 - hhetter@suse.de
- updated to version 1.0.1
  * translation updates
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 1.0
* Wed Jun 05 2002 - ro@suse.de
- use libdir for configure
* Wed Jun 05 2002 - hhetter@suse.de
- initial SuSE Release
